package com.admin.major.service;

import java.util.List;
import com.admin.major.domain.Proposal;

/**
 * 用户建议记录Service接口
 * 
 * @author zewei
 * @date 2022-05-31
 */
public interface IProposalService 
{
    /**
     * 查询用户建议记录
     * 
     * @param id 用户建议记录主键
     * @return 用户建议记录
     */
    public Proposal selectProposalById(Long id);

    /**
     * 查询用户建议记录列表
     * 
     * @param proposal 用户建议记录
     * @return 用户建议记录集合
     */
    public List<Proposal> selectProposalList(Proposal proposal);

    Proposal selectOneProposal(Proposal proposal);

    /**
     * 新增用户建议记录
     * 
     * @param proposal 用户建议记录
     * @return 结果
     */
    public int insertProposal(Proposal proposal);

    /**
     * 修改用户建议记录
     * 
     * @param proposal 用户建议记录
     * @return 结果
     */
    public int updateProposal(Proposal proposal);

    /**
     * 批量删除用户建议记录
     * 
     * @param ids 需要删除的用户建议记录主键集合
     * @return 结果
     */
    public int deleteProposalByIds(Long[] ids);

    /**
     * 删除用户建议记录信息
     * 
     * @param id 用户建议记录主键
     * @return 结果
     */
    public int deleteProposalById(Long id);
}
